package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.SysAccount;
import com.ym.mec.biz.dal.entity.SysArea;
import com.ym.mec.common.service.BaseService;

import java.math.BigDecimal;
import java.util.List;

public interface SysAccountService extends BaseService<Integer, SysAccount> {

    /**
     * 获取一个私户
     *
     * @return
     */
    SysAccount getPerAccount(BigDecimal amount);


    /**
     * 获取一个收款账户
     * @param company
     * @param channel
     * @param type
     * @param amount
     * @return
     */
    SysAccount getAccount(String company, String channel, String type,  BigDecimal amount);

}